package hu.uniobuda.fragmentdemoproject;

import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.List;

/**
 * Created by Rendszergazda on 2013.06.26..
 */
public class MyListAdapter extends BaseAdapter {

    private List<News> items;

    public MyListAdapter(List<News> items) {
        this.items = items;
    }

    @Override
    public int getCount() { return items.size(); }

    @Override
    public Object getItem(int i) { return items.get(i); }

    @Override
    public long getItemId(int i) { return i; }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {

        News n = items.get(i);

        if(view == null){
            view = View.inflate(viewGroup.getContext(), R.layout.mylistitem, null);
        }

        TextView title = (TextView) view.findViewById(R.id.title);
                 title.setText(n.getTitle());
        TextView lead = (TextView) view.findViewById(R.id.lead);
                 lead.setText(n.getBody().substring(0, Math.min(100, n.getBody().length())));

        return view;
    }
}
